|
|||||||||
| Home >> All >> com >> RuntimeCollective >> sitemap >> [ tag overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.RuntimeCollective.sitemap.tag
Class BreadcrumbTag

java.lang.Objectjavax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.apache.struts.taglib.html.BaseHandlerTag
com.RuntimeCollective.sitemap.tag.BreadcrumbTag
- All Implemented Interfaces:
- javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag
- public class BreadcrumbTag
- extends org.apache.struts.taglib.html.BaseHandlerTag
View the breadcrumb trail for a specified SiteNode. The attributes identify the id of the SiteNode to use, and options for how the breadcrumb trail is displayed.
This JSP tag takes the following attributes:
-
name- the name of the bean, under page or request or session scope, that holds the id of the SiteNode [Optional]. -
scope- the scope of the bean to load [Optional]. -
property- the property of the bean, specified by 'name', that holds the id of the SiteNode. If this is not set, then 'id' is used. [Optional]. -
id- the id of the SiteNode to bookmark. [Optional]. -
parameter- the request parameter that holds the id of the SiteNode to use [Optional]. -
asLinks- whether the breadcrumb items are links to the pages or not [Optional]. -
addHomePageText- if true, add " Home Page" to the end of home pages [Optional]. -
showHiddenNodes- display SiteNodes that have appearInNavbar set to false [Optional]. -
styleClass- a CSS style type to use [Optional].
Exactly one of id, parameter, or (name and property) must be set.
- Version:
- $Id: BreadcrumbTag.java,v 1.6 2003/10/15 13:25:40 miles Exp $
| Field Summary | |
protected boolean |
addHomePageText
if true, add " Home Page" to the end of home pages |
protected boolean |
asLinks
whether the breadcrumb items are links to the pages or not |
protected java.lang.String |
id
The id of the bean to load. |
protected java.lang.String |
name
The name of the bean that holds the id of the bean to load as a property. |
protected java.lang.String |
parameter
The parameter that holds the id of the bean to load. |
protected java.lang.String |
property
The property of the bean specified by 'name', which holds the id of the bean to load. |
protected java.lang.String |
scope
The scope of the bean to look for. |
protected boolean |
showHiddenNodes
Display SiteNodes that have appearInNavbar set to false |
protected java.lang.String |
styleClass
a CSS style type to use |
| Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag |
accesskey, defaultLocale, doDisabled, doReadonly, indexed, messages, tabindex |
| Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport |
bodyContent |
| Fields inherited from class javax.servlet.jsp.tagext.TagSupport |
pageContext |
| Fields inherited from interface javax.servlet.jsp.tagext.BodyTag |
EVAL_BODY_BUFFERED, EVAL_BODY_TAG |
| Fields inherited from interface javax.servlet.jsp.tagext.IterationTag |
EVAL_BODY_AGAIN |
| Fields inherited from interface javax.servlet.jsp.tagext.Tag |
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE |
| Constructor Summary | |
BreadcrumbTag()
|
|
| Method Summary | |
int |
doStartTag()
Default processing of the start tag returning EVAL_BODY_BUFFERED. |
boolean |
getAddHomePageText()
Get whether to add " Home Page" to the end of home pages |
boolean |
getAsLinks()
Get whether the breadcrumb items are links to the pages or not |
java.lang.String |
getId()
Get the id of the bean to load. |
java.lang.String |
getName()
Get the name of the bean that holds the id of the bean to load as a property. |
java.lang.String |
getParameter()
Get the parameter that holds the id of the bean to load. |
java.lang.String |
getProperty()
Get the property of the bean specified by 'name', which holds the id of the bean to load. |
java.lang.String |
getScope()
Get the scope of the bean to look for. |
boolean |
getShowHiddenNodes()
Get display SiteNodes that have appearInNavbar set to false |
java.lang.String |
getStyleClass()
Get a CSS style type to use |
void |
release()
Release any acquired resources. |
void |
setAddHomePageText(boolean addHomePageText)
Set whether to add " Home Page" to the end of home pages |
void |
setAsLinks(boolean asLinks)
Set whether the breadcrumb items are links to the pages or not |
void |
setId(java.lang.String id)
Set the id of the bean to load. |
void |
setName(java.lang.String name)
Set the name of the bean that holds the id of the bean to load as a property. |
void |
setParameter(java.lang.String parameter)
Set the parameter that holds the id of the bean to load. |
void |
setProperty(java.lang.String property)
Set the property of the bean specified by 'name', which holds the id of the bean to load. |
void |
setScope(java.lang.String scope)
Set the scope of the bean to look for. |
void |
setShowHiddenNodes(boolean showHiddenNodes)
Set display SiteNodes that have appearInNavbar set to false |
void |
setStyleClass(java.lang.String styleClass)
Set a CSS style type to use |
| Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport |
doAfterBody, doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent |
| Methods inherited from class javax.servlet.jsp.tagext.TagSupport |
findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface javax.servlet.jsp.tagext.Tag |
getParent, setPageContext, setParent |
| Field Detail |
name
protected java.lang.String name
- The name of the bean that holds the id of the bean to load as a property.
property
protected java.lang.String property
- The property of the bean specified by 'name', which holds the id of the bean to load. Defaults to id.
scope
protected java.lang.String scope
- The scope of the bean to look for.
id
protected java.lang.String id
- The id of the bean to load.
parameter
protected java.lang.String parameter
- The parameter that holds the id of the bean to load.
asLinks
protected boolean asLinks
- whether the breadcrumb items are links to the pages or not
addHomePageText
protected boolean addHomePageText
- if true, add " Home Page" to the end of home pages
showHiddenNodes
protected boolean showHiddenNodes
- Display SiteNodes that have appearInNavbar set to false
styleClass
protected java.lang.String styleClass
- a CSS style type to use
| Constructor Detail |
BreadcrumbTag
public BreadcrumbTag()
| Method Detail |
getName
public java.lang.String getName()
- Get the name of the bean that holds the id of the bean to load as a property.
setName
public void setName(java.lang.String name)
- Set the name of the bean that holds the id of the bean to load as a property.
getProperty
public java.lang.String getProperty()
- Get the property of the bean specified by 'name', which holds the id of the bean to load.
setProperty
public void setProperty(java.lang.String property)
- Set the property of the bean specified by 'name', which holds the id of the bean to load.
getScope
public java.lang.String getScope()
- Get the scope of the bean to look for.
setScope
public void setScope(java.lang.String scope)
- Set the scope of the bean to look for.
getId
public java.lang.String getId()
- Get the id of the bean to load.
setId
public void setId(java.lang.String id)
- Set the id of the bean to load.
getParameter
public java.lang.String getParameter()
- Get the parameter that holds the id of the bean to load.
setParameter
public void setParameter(java.lang.String parameter)
- Set the parameter that holds the id of the bean to load.
getAsLinks
public boolean getAsLinks()
- Get whether the breadcrumb items are links to the pages or not
setAsLinks
public void setAsLinks(boolean asLinks)
- Set whether the breadcrumb items are links to the pages or not
getAddHomePageText
public boolean getAddHomePageText()
- Get whether to add " Home Page" to the end of home pages
setAddHomePageText
public void setAddHomePageText(boolean addHomePageText)
- Set whether to add " Home Page" to the end of home pages
getShowHiddenNodes
public boolean getShowHiddenNodes()
- Get display SiteNodes that have appearInNavbar set to false
setShowHiddenNodes
public void setShowHiddenNodes(boolean showHiddenNodes)
- Set display SiteNodes that have appearInNavbar set to false
getStyleClass
public java.lang.String getStyleClass()
- Get a CSS style type to use
setStyleClass
public void setStyleClass(java.lang.String styleClass)
- Set a CSS style type to use
doStartTag
public int doStartTag()
throws javax.servlet.jsp.JspException
- Description copied from class:
javax.servlet.jsp.tagext.BodyTagSupport - Default processing of the start tag returning EVAL_BODY_BUFFERED.
release
public void release()
- Description copied from class:
org.apache.struts.taglib.html.BaseHandlerTag - Release any acquired resources.
|
|||||||||
| Home >> All >> com >> RuntimeCollective >> sitemap >> [ tag overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC